﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="test.aspx.cs" Inherits="Protiviti.PAP.WebInterface.CoreWebUI.test" %>

<!DOCTYPE html>
<html xmlns='http://www.w3.org/1999/xhtml'>
	<head runat="server">
		<title>Telerik ASP.NET Example</title>
		<!-- Load Pako ZLIB library to enable PDF compression -->
		<script src="pako.min.js"></script>
	</head>
	<body>
		<form id="form1" runat="server">
			<telerik:RadScriptManager runat="server" ID="RadScriptManager1" />
			<telerik:RadSkinManager ID="RadSkinManager1" runat="server" ShowChooser="true" />
			<div class="demo-container size-wide">
				<telerik:RadButton RenderMode="Lightweight" runat="server" OnClientClicked="exportRadHtmlChart" Text="Export RadHtmlChart to PDF" AutoPostBack="false" UseSubmitBehavior="false"></telerik:RadButton>
				<telerik:RadClientExportManager runat="server" ID="RadClientExportManager1" OnClientPdfExporting="OnClientPdfExporting">
				</telerik:RadClientExportManager>
				<telerik:RadHtmlChart runat="server" ID="RadHtmlChart1" Width="800px" Height="500px">
					<PlotArea>
						<XAxis Type="Log">
							<TitleAppearance Text="Frequency (Hz)"></TitleAppearance>
						</XAxis>
						<Series>
							<telerik:ScatterLineSeries DataFieldY="SoundPressureLevel" DataFieldX="Frequency" Name="20 phon">
								<LineAppearance LineStyle="Smooth" />
								<LabelsAppearance Visible="false"></LabelsAppearance>
								<MarkersAppearance Size="4" />
							</telerik:ScatterLineSeries>
						</Series>
						<YAxis>
							<TitleAppearance Text="Sound Pressure Level (dB)"></TitleAppearance>
						</YAxis>
					</PlotArea>
					<ChartTitle Text="Equal-Loudness Contour">
					</ChartTitle>
				</telerik:RadHtmlChart>
			</div>
			<script>
				var $ = $telerik.$;

				function exportRadHtmlChart() {
					$find('<%=RadClientExportManager1.ClientID%>').exportPDF($(".RadHtmlChart"));
				}
				
				function OnClientPdfExporting(sender, args) {
					kendo.saveAs({
									 dataURI: args.get_dataURI(),
									 fileName: "test.pdf",
									 proxyURL: "proxy.aspx",
									 forceProxy: true
								 });
					args.set_cancel(true);
				}
				
			</script>
		</form>
	</body>
</html>
